=head1 NAME

Net::Jabber::Loudmouth::MessageNode -  Jabber message node

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Net::Jabber::Loudmouth::MessageNode



=cut

=for object Net::Jabber::Loudmouth::MessageNode Jabber message node

=cut




=head1 METHODS

=head2 messagenode = $node-E<gt>B<add_child> ($name, $value=undef)

=over

=item * $name (string) 

=item * $value (string) 

=back

=head2 string = $node-E<gt>B<get_attribute> ($name)

=over

=item * $name (string) 

=back

=head2 $node-E<gt>B<set_attribute> ($name, $value)

=over

=item * $name (string) 

=item * $value (string) 

=back

=head2 $node-E<gt>B<set_attributes> (...)

=over

=item * ... (list) 

=back

=head2 messagenode = $node-E<gt>B<get_child_by_name> ($child_name)

=over

=item * $child_name (string) 

=back

=head2 messagenode = $node-E<gt>B<get_child> 

=head2 messagenode = $node-E<gt>B<find_child> ($child_name)

=over

=item * $child_name (string) 

=back

=head2 string = $node-E<gt>B<get_name> 

=head2 $node-E<gt>B<set_name> ($name)

=over

=item * $name (string) 

=back

=head2 messagenode = $node-E<gt>B<get_next> 

=head2 messagenode = $node-E<gt>B<get_parent> 

=head2 messagenode = $node-E<gt>B<get_prev> 

=head2 boolean = $node-E<gt>B<get_raw_mode> 

=head2 $node-E<gt>B<set_raw_mode> ($raw_mode)

=over

=item * $raw_mode (boolean) 

=back

=head2 string = $node-E<gt>B<to_string> 

=head2 string = $node-E<gt>B<get_value> 

=head2 $node-E<gt>B<set_value> ($value)

=over

=item * $value (string) 

=back



=cut


=head1 SEE ALSO

L<Net::Jabber::Loudmouth>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2005 by Florian Ragwitz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.


=cut

